Documentation index for AI agents (llms.txt)

Append .md to any page URL for its markdown source, or fetch llms-full.txt for the complete corpus.

Offers

Generate offers

Generates offers for an application.

GET/applications/{application_id}/offers/

Authorizations

Authorizationstringheaderrequired

You must put the word Bearer or Token in the Authorization header before your token e.g:

Authorization: Bearer <Your API token>

Examples generated from this schema may be missing the word Bearer.

Path parameters

application_idstringrequired

Responses

Success

When an application has been declined, this field will describe the reasons for the decline.

Array of object
reasonstringrequired
Allowed values:Approval requirement declineCredit assessment declineAuto-reject assessment declineResource declineIneligibility declineUnknownOther
reason_detailstring
offer_creation_statusstringrequired

The offer creation status indicates if offers are available, and if not what the reason is (a defer, a decline or other). The applications endpoint should be used to get more detailed information about the application status

Allowed values:offers_availabledeclineddeferredother
Array of object
approximate_aprnumber<float>

Approximate Annual Percentage Rate

average_interest_only_repayment_amountnumber<float>

The average amount of each repayment during the interest only period at the beginning of the loan. (The exact amount of each interest-only repayment is slightly different). Only included if interest_only_repayments is greater than zero. Only included in response data for offers that are confirmed and unfunded; indicative and sample offers cannot be interest-only.

Use this field to determine next steps for your customer if the offer is not of type 'confirmed'.

fee_percentagenumber<float>

What percentage of the amount borrowed will be added to the loan as a fee when the customer takes the money

>= 0<= 100
interest_only_repaymentsnumber<integer>

Some offers have an interest-only period. For example if the payment_interval is 1m and interest_only_repayments is 3, the first three months of the loan are interest-only which means the first three repayments due will be lower than the normal repayments

interest_ratenumber<float>

Monthly interest rate percentage

is_conditionalboolean

Some fully credit assessed (confirmed) offers are conditional on data requirements being fulfilled before the customer can draw down. For example, needing to upload VAT returns.

is_suggestedboolean

Whether in iwoca's opinion this offer is the one which best matches the parameters requested in the application

is_topupboolean

Whether this offer is a top-up offer for a customer with an existing loan.

max_amountnumber<float>required
normal_repayment_amountnumber<float>

The amount of each repayment (assuming the customer borrows the max_amount and does not make any overpayments) after any interest-only period has ended. Included in response data for offers that are indicative, sample, or confirmed and unfunded.

offer_idstring<uuid>required
offer_typestring
Allowed values:sampleindicativeconfirmed
payment_intervalstring
Allowed values:30d14d7d1m1d
personal_guarantee_proportionnumber<float>

What percentage of the loan will be covered by a personal guarantee. For example, 100 for a normal loan or 0 for a loan with no PG required

>= 0<= 100
probability_of_offerstring

When the offer_type is indicative, this field indicates how likely it is that the customer will get a confirmed offer should they complete the document requirements

Allowed values:very_lowlowmediumhighvery_high
revoked_atstring

Only present if the offer has been revoked. Shows the date and time at which it was revoked.

timeoutstringrequired

The date and time at which the offer expires

total_repayablenumber<float>

The total amount repayable (principal + fees + interest) assuming the customer borrows the max_amount for the full duration of the loan. Included in response data for offers that are indicative, sample, or confirmed and unfunded.